Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.spi
Class JDKRegistryEntry

    java.lang.Object
      org.apache.batik.ext.awt.image.spi.AbstractRegistryEntry
          org.apache.batik.ext.awt.image.spi.JDKRegistryEntry

All Implemented Interfaces:
  ErrorConstants, RegistryEntry, URLRegistryEntry

    public class JDKRegistryEntry

extends AbstractRegistryEntry
implements URLRegistryEntry

This Image tag registy entry is setup to wrap the core JDK Image stream tools.

Nested Class Summary
`static class` | `JDKRegistryEntry.MyImgObs`

Field Summary
`static float` | `PRIORITY` The priority of this entry.

Fields inherited from interface org.apache.batik.ext.awt.image.spi.ErrorConstants
`ERR_STREAM_FORMAT_UNREADABLE, ERR_STREAM_UNREADABLE, ERR_URL_FORMAT_UNREADABLE, ERR_URL_UNINTERPRETABLE, ERR_URL_UNREACHABLE, RESOURCES`

Constructor Summary
`JDKRegistryEntry()`

Method Summary
`Filter` | `handleURL(ParsedURL purl, boolean needRawData)` Decode the URL into a RenderableImage
`boolean` | `isCompatibleURL(ParsedURL purl)` Check if the Stream references an image that can be handled by this format handler.
`RenderedImage` | `loadImage(Image img, DeferRable dr)`

Methods inherited from class org.apache.batik.ext.awt.image.spi.AbstractRegistryEntry
`getFormatName, getMimeTypes, getPriority, getStandardExtensions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.ext.awt.image.spi.RegistryEntry
`getFormatName, getMimeTypes, getPriority, getStandardExtensions`

Field Detail

### PRIORITY

    public static final float PRIORITY

  The priority of this entry. This entry should in most cases be the last entry. but if one wishes one could set a priority higher and be called afterwords

  See Also:
    Constant Field Values

Constructor Detail

### JDKRegistryEntry

    public JDKRegistryEntry()

Method Detail

### isCompatibleURL

    public boolean isCompatibleURL(ParsedURL purl)

  Check if the Stream references an image that can be handled by this format handler. The input stream passed in should be assumed to support mark and reset. If this method throws a StreamCorruptedException then the InputStream will be closed and a new one opened (if possible). This method should only throw a StreamCorruptedException if it is unable to restore the state of the InputStream (i.e. mark/reset fails basically).

  Specified by:
    `isCompatibleURL` in interface `URLRegistryEntry`
  Parameters:
    `purl` - The URL to inspect.

### handleURL

    public Filter handleURL(ParsedURL purl,
                            boolean needRawData)

  Decode the URL into a RenderableImage

  Specified by:
    `handleURL` in interface `URLRegistryEntry`
  Parameters:
    `purl` - URL of the image.
    `needRawData` - If true the image returned should not have any default color correction the file may specify applied.

### loadImage

    public RenderedImage loadImage(Image img,
                                   DeferRable dr)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.